"""add watch_mode_enabled to shop

Revision ID: abe5eb8acb97
Revises: ecb51cffd213
Create Date: 2026-02-07 13:22:12.663420

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'abe5eb8acb97'
down_revision = 'ecb51cffd213'
branch_labels = None
depends_on = None

from make_post_sell.models.meta import UUIDType


def upgrade():
    op.add_column(
        "mps_shop",
        sa.Column("watch_mode_enabled", sa.Boolean(), nullable=False, server_default="0"),
    )


def downgrade():
    op.drop_column("mps_shop", "watch_mode_enabled")
